//
//  VkontakteShareController.h
//  smileme
//
//  Created by Илья Семенов on 19.04.13.
//  Copyright (c) 2013 Digital Bar. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>
#import "UILinedTextView.h"

@interface VkontakteShareController : UIViewController <UITextViewDelegate>

@property (nonatomic, strong) UIView* postView;
@property (nonatomic, strong) UIView* containerView;
@property (nonatomic, strong) UIImageView* backgroundView;
@property (nonatomic, strong) UIImage* capturedImage;
@property (nonatomic, strong) CAShapeLayer* shadowOverlay;
@property (nonatomic, strong) UILinedTextView* textView;
@property (nonatomic, strong) UIToolbar* toolBar;
@property (nonatomic, strong) UIBarButtonItem* cancelButton;
@property (nonatomic, strong) UIBarButtonItem* postButton;
@property (nonatomic, strong) NSMutableArray* shareImages;
@property (nonatomic, strong) NSString* shareLink;
@property (nonatomic, strong) UIImageView* overlayView;

-(void)addImage:(UIImage*)image;
-(void)addLink:(NSString*)link;
@end
